Package org.eclipse.ecf.provider.comm

## Class ConnectionEvent

- java.lang.Object
- - org.eclipse.ecf.provider.comm.ConnectionEvent

All Implemented Interfaces:
  `Event`

Direct Known Subclasses:
  `AsynchEvent`, `DisconnectEvent`, `SynchEvent`

    public class ConnectionEvent
    extends Object
    implements Event

Connection event super class.

### Constructor Summary

Constructors
`ConnectionEvent​(IConnection source, Object data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IConnection` `getConnection()`
`Object` `getData()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionEvent

    public ConnectionEvent​(IConnection source,
                           Object data)

### Method Detail

#### getConnection

    public IConnection getConnection()

#### getData

    public Object getData()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`